

/**
 * 会员库导出列-单位会员
 */
export enum UNITAUDITINGCOLUMNS {
    状态 = "memberState",
    单位信息类型 = "unitMemberType",
    单位名称 = "unitName",
    办学类型 = "yuanXiaoBanXueLeiXing",
    单位简介 = "danWeiJianJie",
    会员职务 = "memberLevel",
    标签 = "lableId",
    法人代表 = "legalPerson",
    法人联系电话 = "legalPersonPhone",
    法人邮箱 = "legalPersonMail",
    学生总人数 = "yuanXiaoXueShengZongRenShu",
    教职工总人数 = "yuanXiaoJiaoZhiGongZongRenShu",
    开设专业 = "kaishezhuanYe",
    主管部门 = "yuanXiaoZhuGuanBuMen",
    主要负责人 = "yuanXiaoFuZeRen",
    主要负责人职务 = "yuanXiaoFuZeRenZhiWu",
    主要负责人电话 = "yuanXiaoFuZeRenDianHua",
    主要负责人邮箱 = "ZhuYaoFuZeRenYouXiang",
    日常联系人 = "contactPerson",
    日常联系人职务 = "contactPersonDuties",
    日常联系人手机 = "phone",
    日常联系人邮箱 = "mail",
    单位信用代码 = "uscc",
    省市区 = "shengshiqu",
    通信地址 = "addres",
    办公负责人 = "yuanXiaoBanGongFuZeRen",
    办公负责人电话 = "yuanXiaoBanGongFuZeRenDianHua",
    科研负责人 = "yuanXiaoKeYanFuZeRen",
    科研负责人电话 = "yuanXiaoKeYanFuZeRenDianHua",
    教学负责人姓名 = "jiaoXueFuZeRenXinMing",
    教学负责人电话 = "jiaoXueFuZeRenDianHua",
    届次 = "session",
    入会时间 = "joinTime",
}


/**
 * 会员库导出列-个人会员
 */
export enum AUDITINGCOLUMNS {
    状态 = "memberState",
    姓名 = "name",
    性别 = "sex",
    工作单位 = "unitName",
    职务 = "duties",
    职称 = "workTitle",
    出生年月 = "birth",
    证件类型 = "documentType",
    证件号码 = "documentId",
    手机号 = "phone",
    电子邮箱 = "mail",
    会员职务 = "memberLevel",
    标签 = "lableId",
    会员级别 = "individualMemberType",
    专业类别 = "profCategory",
    学历 = "education",
    民族 = "nation",
    省市区 = "shengshiqu",
    通信地址 = "addres",
    届次 = "session",
    入会时间 = "joinTime",
}


/**
 * 入会审批导出列-单位会员
 */
 export enum APPLYUNITAUDITINGCOLUMNS {
    状态 = "memberState",
    单位信息类型 = "unitMemberType",
    单位名称 = "unitName",
    办学类型 = "yuanXiaoBanXueLeiXing",
    单位简介 = "danWeiJianJie",
    会员职务 = "memberLevel",
    // 标签 = "lableId",
    法人代表 = "legalPerson",
    法人联系电话 = "legalPersonPhone",
    法人邮箱 = "legalPersonMail",
    学生总人数 = "yuanXiaoXueShengZongRenShu",
    教职工总人数 = "yuanXiaoJiaoZhiGongZongRenShu",
    开设专业 = "kaishezhuanYe",
    主管部门 = "yuanXiaoZhuGuanBuMen",
    主要负责人 = "yuanXiaoFuZeRen",
    主要负责人职务 = "yuanXiaoFuZeRenZhiWu",
    主要负责人电话 = "yuanXiaoFuZeRenDianHua",
    主要负责人邮箱 = "ZhuYaoFuZeRenYouXiang",
    日常联系人 = "contactPerson",
    日常联系人职务 = "contactPersonDuties",
    日常联系人手机 = "phone",
    日常联系人邮箱 = "mail",
    单位信用代码 = "uscc",
    省市区 = "shengshiqu",
    通信地址 = "addres",
    办公负责人 = "yuanXiaoBanGongFuZeRen",
    办公负责人电话 = "yuanXiaoBanGongFuZeRenDianHua",
    科研负责人 = "yuanXiaoKeYanFuZeRen",
    科研负责人电话 = "yuanXiaoKeYanFuZeRenDianHua",
    教学负责人姓名 = "jiaoXueFuZeRenXinMing",
    教学负责人电话 = "jiaoXueFuZeRenDianHua",
    届次 = "session",
    入会时间 = "joinTime",
}


/**
 * 入会审批导出列-个人会员
 */
export enum APPLYAUDITINGCOLUMNS {
    状态 = "memberState",
    姓名 = "name",
    性别 = "sex",
    工作单位 = "unitName",
    职务 = "duties",
    职称 = "workTitle",
    出生年月 = "birth",
    证件类型 = "documentType",
    证件号码 = "documentId",
    手机号 = "phone",
    电子邮箱 = "mail",
    会员职务 = "memberLevel",
    // 标签 = "lableId",
    会员级别 = "individualMemberType",
    专业类别 = "profCategory",
    学历 = "education",
    民族 = "nation",
    省市区 = "shengshiqu",
    通信地址 = "addres",
    届次 = "session",
    入会时间 = "joinTime",
}


/**
 * 费用核对导出列-发票管理
 */
export enum CONFIRMRECEIPTCOLUMNS {
    状态 = "confirmReceipt",
    支付单号 = "paymentNum",
    会员类别 = "memberCategory",
    "单位/个人名称" = "name",
    "单位代码/个人身份证" = "card",
    缴费金额 = "money",
    会员职务 = "memberLevel",
    发票邮箱 = "invoiceMail",
    电子邮箱 = "mail",
    手机号 = "phone",
    支付方式 = "paymentMethod",
    提交时间 = "operationTime", //上传转账凭证的时间
    支付时间 = "payTime", //微信支付的时间
    发票状态 = "invoiceStatus",
    备注 = "desc",
    届次 = "session",
    所缴周期 = "orderCycle",
}


/**
 * 待开发票导出列-发票管理
 */
export enum BILLSTATECOLUMNS {
    支付单号 = "paymentNum",
    会员类别 = "memberCategory",
    "单位/个人名称" = "name",
    "单位代码/个人身份证" = "card",
    缴费金额 = "money",
    会员职务 = "memberLevel",
    发票邮箱 = "invoiceMail",
    电子邮箱 = "mail",
    手机号 = "phone",
    支付方式 = "paymentMethod",
    审核时间 = "confirmReceiptMs", //什么时候从费用核对通过审核时间
    提交时间 = "operationTime", //上传转账凭证的时间
    发票申请时间 = "invoiceTime",
    支付时间 = "payTime", //微信支付的时间
    备注 = "desc",
    所缴周期 = "orderCycle",
}


/**
 * 已开发票导出列-发票管理
 */
export enum INVOICEDCOLUMNS {
    支付单号 = "paymentNum",
    会员类别 = "memberCategory",
    "单位/个人名称" = "name",
    "单位代码/个人身份证" = "card",
    缴费金额 = "money",
    会员职务 = "memberLevel",
    发票邮箱 = "invoiceMail",
    电子邮箱 = "mail",
    手机号 = "phone",
    支付方式 = "paymentMethod",
    审核时间 = "confirmReceiptMs", //什么时候从费用核对通过审核时间
    提交时间 = "operationTime", //上传转账凭证的时间
    发票开具时间 = "invoiceExamineTime",
    支付时间 = "payTime", //微信支付的时间
    备注 = "desc",
    所缴周期 = "orderCycle",
}


/**
 * 退款列表导出列-发票管理
 * Refund
 */
export enum REFUNDCOLUMNS {
    "退款状态" = "state",
    "单位/个人名称" = "name",
    会员类别 = "memberCategory",
    所缴周期 = "orderCycle",
    退款金额 = "money",
    退款账号 = "refundBankCarId",
    开户行 = "refundBankName",
    会员职务 = "memberLevel",  
    手机号 = "phone"
}


//会费管理-未缴费
export enum MEMBERFEESDCOLUMNS {
    状态 = "memberState",
    "单位/个人名称" = "name" ,
    会员类别 = "memberType",
    手机号 ="phone",
    "单位代码/身份证"="code",
    会员职务 = "memberLevel",
    入会时间 = "joinTime",
    缴费金额 = "Money",
    "欠费具体年份" = "duration",
    "届次" = "session"
}


//会费管理-已缴费、缴费期
export enum MEMBERPAYMENTCOLUMNS {
    状态 = "memberState",
    "单位/个人名称" = "name" ,
    会员类别 = "memberType",
    手机号 ="phone",
    "单位代码/身份证"="code",
    会员职务 = "memberLevel",
    入会时间 = "joinTime",
    缴费金额 = "Money",
    缴费年限 = "paymentYear",
    欠费具体年份 = "duration",
    欠费年限 = "durationYear",
     "届次" = "session",
    缴费具体年份 = "jiaofeijutinianfen"
}



/**
 * 邮件类型
 */
export enum CLIENTMAILTYPE {
    会员会费到期缴费通知 = 6,
    会员催缴通知提前开发票 = 7,
    会员活动or会议通知 = 12
}

